Name:          FileZilla
Version:       3.66.5
Release:       1mamba
Summary:       FTP, FTPS and SFTP client
Group:         Graphical Desktop/Applications/Networking
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://filezilla-project.org/
Source0:       https://download.filezilla-project.org/client/FileZilla_%{version}_src.tar.xz
Source1:       filezilapng.tar.gz
Patch0:        FileZilla-3.46.3-build-add-missing-cassert-include.patch
Patch1:        FileZilla-3.46.3-libfilezilla-0.20.2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libdbus-devel
BuildRequires: libfilezilla-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libnettle-devel
BuildRequires: libpango-devel
BuildRequires: libsqlite-devel
BuildRequires: libstdc++6-devel
BuildRequires: pugixml-devel
BuildRequires: wxwidgets-devel
BuildRequires: wxwidgets-gtk3-devel
## AUTOBUILDREQ-END
BuildRequires: automake 
BuildRequires: autoconf
BuildRequires: libtool
BuildRequires: libcppunit-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext-devel
BuildRequires: libfilezilla-devel >= 0.29

%description
%{name} is a FTP, FTPS and SFTP client for Linux with a lot of features.
- Supports FTP, FTP over SSL/TLS (FTPS) and SSH File Transfer Protocol (SFTP)
- Cross-platform
- Available in many languages
- Supports resume and transfer of large files >4GB
- Easy to use Site Manager and transfer queue
- Drag & drop support
- Speed limits
- Filename filters
- Network configuration wizard 

%debug_package

%prep
%setup -q -n filezilla-%{version}
%patch 0 -p1
#%patch1 -p1

%build
%configure \
	--enable-locales \
	--disable-precomp \
	--disable-manualupdatecheck \
	--disable-autoupdatecheck \
	--with-tinyxml=system \
	--with-pugixml=system \
    --with-dbus \
    --enable-gnutlssystemciphers

#    --with-wx-config=wx-config-unicode-30 \

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang filezilla

#% check
#make check

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post 
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
:

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache -q %{_datadir}/icons/hicolor;
fi
:

%files -f filezilla.lang
%defattr(-,root,root)
%{_bindir}/filezilla
%{_bindir}/fzputtygen
%{_bindir}/fzsftp
%{_libdir}/libfzclient-private-*.so
%{_libdir}/libfzclient-private.so
%{_libdir}/libfzclient-commonui-private-*.so
%{_libdir}/libfzclient-commonui-private.so
%{_datadir}/appdata/filezilla.appdata.xml
%{_datadir}/applications/filezilla.desktop
%{_datadir}/pixmaps/filezilla.png
%{_datadir}/icons/hicolor/*x*/apps/filezilla.png
%{_datadir}/icons/hicolor/scalable/apps/filezilla.svg
%dir %{_datadir}/filezilla
%{_datadir}/filezilla/docs
%{_datadir}/filezilla/resources
%{_mandir}/man1/*.1*
%{_mandir}/man5/fzdefaults.xml.5*
%doc AUTHORS COPYING
#ChangeLog NEWS README

%changelog
* Thu Feb 08 2024 Automatic Build System <autodist@openmamba.org> 3.66.5-1mamba
- automatic version update by autodist

* Thu Dec 21 2023 Automatic Build System <autodist@mambasoft.it> 3.66.4-1mamba
- automatic version update by autodist

* Sat Nov 04 2023 Automatic Build System <autodist@mambasoft.it> 3.66.1-1mamba
- automatic version update by autodist

* Tue Oct 24 2023 Automatic Build System <autodist@mambasoft.it> 3.66.0-1mamba
- automatic version update by autodist

* Tue Jul 11 2023 Automatic Build System <autodist@mambasoft.it> 3.65.0-1mamba
- automatic version update by autodist

* Mon May 15 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 3.64.0-1mamba
- update to 3.64.0

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 3.63.2.1-1mamba
- automatic version update by autodist

* Sat Feb 25 2023 Automatic Build System <autodist@mambasoft.it> 3.63.2-1mamba
- automatic version update by autodist

* Fri Jan 27 2023 Automatic Build System <autodist@mambasoft.it> 3.63.1-1mamba
- automatic version update by autodist

* Wed Jan 25 2023 Automatic Build System <autodist@mambasoft.it> 3.63.0-1mamba
- automatic version update by autodist

* Wed Nov 23 2022 Automatic Build System <autodist@mambasoft.it> 3.62.2-1mamba
- automatic version update by autodist

* Thu Nov 17 2022 Automatic Build System <autodist@mambasoft.it> 3.62.1-1mamba
- automatic version update by autodist

* Fri Oct 28 2022 Automatic Build System <autodist@mambasoft.it> 3.62.0-1mamba
- automatic version update by autodist

* Tue Sep 20 2022 Automatic Build System <autodist@mambasoft.it> 3.61.0-1mamba
- automatic version update by autodist

* Sat Jul 23 2022 Automatic Build System <autodist@mambasoft.it> 3.60.2-1mamba
- automatic version update by autodist

* Wed Jul 13 2022 Automatic Build System <autodist@mambasoft.it> 3.60.1-1mamba
- automatic version update by autodist

* Sat Feb 12 2022 Automatic Build System <autodist@mambasoft.it> 3.58.0-1mamba
- automatic version update by autodist

* Sun Dec 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.57.0-2mamba
- rebuilt with added configure options and to fix wx library mismatch

* Sat Dec 11 2021 Automatic Build System <autodist@mambasoft.it> 3.57.0-1mamba
- automatic version update by autodist

* Thu Oct 28 2021 Automatic Build System <autodist@mambasoft.it> 3.56.2-1mamba
- automatic version update by autodist

* Fri Oct 15 2021 Automatic Build System <autodist@mambasoft.it> 3.56.0-1mamba
- automatic version update by autodist

* Thu Sep 16 2021 Automatic Build System <autodist@mambasoft.it> 3.55.1-1mamba
- automatic version update by autodist

* Sun Jul 11 2021 Automatic Build System <autodist@mambasoft.it> 3.55.0-1mamba
- automatic version update by autodist

* Mon Jul 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 3.54.1-2mamba
- rebuilt with libfilezilla 0.29

* Fri May 14 2021 Automatic Build System <autodist@mambasoft.it> 3.54.1-1mamba
- automatic version update by autodist

* Thu May 13 2021 Automatic Build System <autodist@mambasoft.it> 3.54.0-1mamba
- automatic version update by autodist

* Wed Mar 24 2021 Automatic Build System <autodist@mambasoft.it> 3.53.1-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 3.53.0-1mamba
- automatic version update by autodist

* Tue Mar 02 2021 Automatic Build System <autodist@mambasoft.it> 3.52.2-1mamba
- automatic version update by autodist

* Mon Apr 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.46.3-1mamba
- update to 3.46.3

* Tue Feb 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.15.0.1-1mamba
- update to 3.15.0.1

* Sun Jul 13 2014 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic update by autodist

* Sat May 24 2014 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic update by autodist

* Wed Aug 28 2013 Automatic Build System <autodist@mambasoft.it> 3.7.3-1mamba
- automatic update by autodist

* Wed Aug 14 2013 Automatic Build System <autodist@mambasoft.it> 3.7.2-1mamba
- automatic update by autodist

* Fri Jun 21 2013 Automatic Build System <autodist@mambasoft.it> 3.7.1-1mamba
- automatic version update by autodist

* Wed May 15 2013 Automatic Build System <autodist@mambasoft.it> 3.7.0.1-1mamba
- automatic version update by autodist

* Fri Feb 01 2013 Automatic Build System <autodist@mambasoft.it> 3.6.0.2-1mamba
- automatic version update by autodist

* Sun Jul 08 2012 Automatic Build System <autodist@mambasoft.it> 3.5.3-1mamba
- update to 3.5.3

* Fri Feb 18 2011 Automatic Build System <autodist@mambasoft.it> 3.3.5.1-1mamba
- automatic update by autodist

* Fri Jul 30 2010 Automatic Build System <autodist@mambasoft.it> 3.3.3-1mamba
- automatic update by autodist

* Fri Jun 25 2010 Automatic Build System <autodist@mambasoft.it> 3.3.2.1-1mamba
- automatic update by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 3.3.2-1mamba
- automatic update by autodist

* Wed Dec 23 2009 Automatic Build System <autodist@mambasoft.it> 3.3.0.1-1mamba
- automatic update by autodist

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 3.2.8.1-1mamba
- automatic update by autodist

* Sat Aug 29 2009 Automatic Build System <autodist@mambasoft.it> 3.2.7.1-1mamba
- automatic update by autodist

* Tue Jul 14 2009 Automatic Build System <autodist@mambasoft.it> 3.2.6.1-1mamba
- automatic update by autodist

* Fri Jul 03 2009 Automatic Build System <autodist@mambasoft.it> 3.2.6-1mamba
- automatic update by autodist

* Sun Jun 21 2009 Automatic Build System <autodist@mambasoft.it> 3.2.5-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.2.2.1-1mamba
- automatic update by autodist

* Fri Jan 09 2009 gil <puntogil@libero.it> 3.2.0-1mamba
- update to 3.2.0
- new buildrequires libdbus

* Mon Nov 17 2008 gil <puntogil@libero.it> 3.1.6-1mamba
- package created by autospec
